From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-proxy/
Date: Mon, 14 Nov 2016 17:14:11 +0000 (UTC) [thread overview]
Message-ID: <1479143587.e38d85d7f66b61cfa64c0ad28a401c1d1d5a886a.mrueg@gentoo> (raw)
commit: e38d85d7f66b61cfa64c0ad28a401c1d1d5a886a
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 17:10:37 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 17:13:07 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e38d85d7
app-emulation/docker-proxy: Initial version
Package-Manager: portage-2.3.2
app-emulation/docker-proxy/Manifest | 1 +
.../docker-proxy-0.8.0_p20161111.ebuild | 35 ++++++++++++++++++++++
.../docker-proxy/docker-proxy-9999.ebuild | 35 ++++++++++++++++++++++
app-emulation/docker-proxy/metadata.xml | 17 +++++++++++
4 files changed, 88 insertions(+)
diff --git a/app-emulation/docker-proxy/Manifest b/app-emulation/docker-proxy/Manifest
new file mode 100644
index 00000000..1e23544
--- /dev/null
+++ b/app-emulation/docker-proxy/Manifest
@@ -0,0 +1 @@
+DIST docker-proxy-0.8.0_p20161111.tar.gz 2150464 SHA256 204e723a3cb740173af3a0d4b0d00996507d3230da4f348a38b417a215de0959 SHA512 86293b9cafc3c468760266b47412040f21309baad27765f584cfa1e93bc2ad88068832ed55f2ae8e4f16825e9f44619e89985fd36d98b3d47eaf1d1160f76c8e WHIRLPOOL 2b885bf3865a396219af7b32fc20477b15dffa1ac7b8a26602ff1b131d9f7cb31d5f997045bfac5ddf8b75016ca083c31ed345dfe1d9023a8d68b712a72d5979
diff --git a/app-emulation/docker-proxy/docker-proxy-0.8.0_p20161111.ebuild b/app-emulation/docker-proxy/docker-proxy-0.8.0_p20161111.ebuild
new file mode 100644
index 00000000..96b44ae
--- /dev/null
+++ b/app-emulation/docker-proxy/docker-proxy-0.8.0_p20161111.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+EGO_PN="github.com/docker/libnetwork"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="57be722e077059d1ee0539be31743a3642ccbeb3"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc64"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="Docker container networking"
+HOMEPAGE="http://github.com/docker/libnetwork"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RDEPEND="!!<app-emulation/docker-1.13_rc1"
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" go build -o "bin/docker-proxy" ./cmd/proxy || die
+}
+
+src_install() {
+ dodoc ROADMAP.md README.md CHANGELOG.md
+ dobin bin/docker-proxy
+}
diff --git a/app-emulation/docker-proxy/docker-proxy-9999.ebuild b/app-emulation/docker-proxy/docker-proxy-9999.ebuild
new file mode 100644
index 00000000..96b44ae
--- /dev/null
+++ b/app-emulation/docker-proxy/docker-proxy-9999.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+EGO_PN="github.com/docker/libnetwork"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="57be722e077059d1ee0539be31743a3642ccbeb3"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~ppc64"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="Docker container networking"
+HOMEPAGE="http://github.com/docker/libnetwork"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RDEPEND="!!<app-emulation/docker-1.13_rc1"
+
+src_compile() {
+ GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" go build -o "bin/docker-proxy" ./cmd/proxy || die
+}
+
+src_install() {
+ dodoc ROADMAP.md README.md CHANGELOG.md
+ dobin bin/docker-proxy
+}
diff --git a/app-emulation/docker-proxy/metadata.xml b/app-emulation/docker-proxy/metadata.xml
new file mode 100644
index 00000000..910c580
--- /dev/null
+++ b/app-emulation/docker-proxy/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <longdescription>
+ </longdescription>
+ <maintainer type="person">
+ <email>tianon@dockerproject.org</email>
+ <name>Tianon</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>mrueg@gentoo.org</email>
+ <name>Manuel Rüger</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">docker/libnetwork</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2016-11-14 17:14 UTC|newest]
Thread overview: 62+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-14 17:14 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-11-14 20:49 [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-proxy/ William Hubbs
2016-11-20 20:31 Manuel Rüger
2016-11-23 15:49 Kacper Kowalik
2017-04-05 10:21 Michael Weber
2017-04-21 19:01 William Hubbs
2017-09-25 14:15 Manuel Rüger
2017-09-26 22:07 Manuel Rüger
2017-10-04 7:47 Michał Górny
2018-01-02 13:05 Manuel Rüger
2018-02-09 16:53 Manuel Rüger
2018-03-19 22:52 Manuel Rüger
2018-03-23 14:57 Manuel Rüger
2018-03-23 14:59 Manuel Rüger
2018-04-10 1:15 Manuel Rüger
2018-04-26 21:36 Manuel Rüger
2018-05-15 12:16 Manuel Rüger
2018-05-15 12:16 Manuel Rüger
2018-06-04 19:25 Mart Raudsepp
2018-07-19 13:21 Manuel Rüger
2018-07-19 15:29 Manuel Rüger
2018-11-09 8:28 Manuel Rüger
2018-12-11 10:11 Manuel Rüger
2019-01-10 13:14 Manuel Rüger
2019-02-11 17:55 Manuel Rüger
2019-03-28 14:50 Manuel Rüger
2019-03-28 14:50 Manuel Rüger
2019-04-11 9:57 Manuel Rüger
2019-04-23 12:42 Manuel Rüger
2019-05-07 15:55 Manuel Rüger
2019-06-04 16:57 Manuel Rüger
2019-06-06 15:42 Manuel Rüger
2019-07-04 15:34 Manuel Rüger
2019-07-04 15:34 Manuel Rüger
2019-07-29 9:06 Manuel Rüger
2019-10-09 16:57 Manuel Rüger
2019-10-21 18:19 Manuel Rüger
2019-11-21 10:40 Manuel Rüger
2019-11-23 11:17 Manuel Rüger
2020-08-31 21:03 Thomas Deutschmann
2020-09-24 0:09 Georgy Yakovlev
2020-10-18 0:48 Georgy Yakovlev
2020-10-18 0:48 Georgy Yakovlev
2020-10-18 0:48 Georgy Yakovlev
2020-11-10 21:33 Georgy Yakovlev
2020-11-10 21:33 Georgy Yakovlev
2020-12-02 19:56 Georgy Yakovlev
2020-12-02 20:38 Georgy Yakovlev
2020-12-02 20:38 Georgy Yakovlev
2020-12-02 20:38 Georgy Yakovlev
2021-01-04 23:10 William Hubbs
2021-01-08 17:54 William Hubbs
2021-01-08 19:28 William Hubbs
2021-02-17 16:45 William Hubbs
2021-04-28 16:44 Mikle Kolyada
2021-05-16 12:45 Sam James
2021-06-10 21:53 William Hubbs
2021-06-11 1:00 Georgy Yakovlev
2021-06-11 16:27 William Hubbs
2021-06-13 22:38 Sam James
2021-06-14 0:31 Georgy Yakovlev
2021-08-13 2:09 Yixun Lan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1479143587.e38d85d7f66b61cfa64c0ad28a401c1d1d5a886a.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox